Class UnifiedNotificationSearchRequest

java.lang.Object
com.eqixiac.equinix.customerportal.model.json.creators.UnifiedNotificationSearchRequest

public class UnifiedNotificationSearchRequest extends Object
Search criteria body for the unified notifications search endpoint (POST /notifications/v2/events/findAll). All blocks are optional: UnifiedNotificationSearchRequest.Filter narrows by category/type/notification number/account number/created date, UnifiedNotificationSearchRequest.SortCriteria controls ordering and UnifiedNotificationSearchRequest.PaginationRequest controls paging.